/*
  Loads a screen dump from a PBM (portable bitmap) file.
  Supported resolutions: 720x256, 720x512

    loadScreenFromPBM -> Get image row from a PBM file
                         and copy it to the Roller RAM
*/

#include "mytypes.h"

typedef enum  {
    ErrOk, ErrFileNotFound, ErrFormatNotSupported
} errorCode;

/* Loads a screen dump from a black and white 1 bit per pixel PBM file. */
errorCode loadScreenFromPBM(char *filename, bool invert);
